# thes

A simple utility to provide access to [thesaurus.com](http://www.thesaurus.com) from the command line.

## Installation

`gem install thes`

## Usage

`thes <some word>`

For example:

`thes nature`

Result:

```
+--------------------------+-------------------------+-------------------------+
|                         noun: character, disposition                         |
+--------------------------+-------------------------+-------------------------+
| description              | attributes              | bottom line             |
| essence                  | being                   | name of game            |
| humor                    | complexion              | name of tune            |
| mood                     | constitution            | nature of beast         |
| personality              | drift                   |                         |
| quality                  | essentiality            |                         |
| type                     | features                |                         |
|                          | heart                   |                         |
|                          | individualism           |                         |
|                          | individuality           |                         |
|                          | like                    |                         |
|                          | makeup                  |                         |
|                          | meat                    |                         |
|                          | outlook                 |                         |
|                          | point                   |                         |
|                          | score                   |                         |
|                          | stuff                   |                         |
|                          | temper                  |                         |
|                          | temperament             |                         |
|                          | texture                 |                         |
|                          | traits                  |                         |
+--------------------------+-------------------------+-------------------------+
+---------------------------------------+--------------------------------------+
|                               noun: type, kind                               |
+---------------------------------------+--------------------------------------+
| character                             | anatomy                              |
| description                           | brand                                |
| sort                                  | cast                                 |
| structure                             | category                             |
| style                                 | color                                |
| variety                               | conformation                         |
| way                                   | figure                               |
|                                       | framework                            |
|                                       | ilk                                  |
|                                       | shape                                |
|                                       | species                              |
|                                       | stripe                               |
+---------------------------------------+--------------------------------------+
+--------------------------+-------------------------+-------------------------+
|                            noun: earth, creation                             |
+--------------------------+-------------------------+-------------------------+
| environment              | cosmos                  | megacosm                |
| landscape                | country                 | natural history         |
| view                     | countryside             |                         |
| world                    | forest                  |                         |
|                          | generation              |                         |
|                          | macrocosm               |                         |
|                          | outdoors                |                         |
|                          | scenery                 |                         |
|                          | seascape                |                         |
|                          | setting                 |                         |
|                          | universe                |                         |
+--------------------------+-------------------------+-------------------------+
```

## Contributing

Bug reports and PRs are welcome.

## License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

