# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'thes/version'

Gem::Specification.new do |spec|
  spec.name          = 'thes'
  spec.version       = Thes::VERSION
  spec.authors       = ['Rob Watson']
  spec.email         = ['rob@rfwatson.net']

  spec.summary       = %q{Access www.thesaurus.com from the command line.}
  spec.homepage      = 'https://github.com/rfwatson/thes'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.15'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'awesome_print', '~> 1.7'
  spec.add_development_dependency 'byebug', '~> 9'

  spec.add_dependency 'nokogiri', '~> 1.8'
  spec.add_dependency 'terminal-table', '~> 1.8'
end
